

version 15
clear all
capture log close
set more off





cap log close
*log using "$log\01 SOEP Datenvorbereitung.log", replace

*** ### hier noch einmal ausgeblendet, da ich die Rohdaten nicht habe!
*** ### Master läuft sonst nicht.

*if 1==2 {

*Vorbereitung der Dateien fürs Mergen
*Personendatensatz
use "$orig/pl.dta", clear
sort pid syear
save "$data/pl.dta", replace
*Hochrechnungsfaktoren
use "$orig/ppathl.dta", clear
sort pid syear
save "$data/ppathl.dta", replace
*für Geburtsjahr 
use "$orig/pbrutto.dta", clear
sort pid syear
save "$data/pbrutto.dta", replace
*Generierte Variablen 
use "$orig/pgen.dta", clear
sort pid syear
save "$data/pgen.dta", replace
*Wohnort Info 
use "$orig/hgen.dta", clear
sort hid syear
save "$data/hgen.dta", replace
*Migrationshintergrund in ppfad
use "$orig/ppath.dta", clear
sort pid
save "$data/ppath.dta", replace
*Haushaltsgewichte
use "$orig/hpathl.dta", clear
sort hid syear
save "$data/hpathl.dta", replace
*Kalenderdaten
use "$orig/pkal.dta", clear
sort pid
save "$data/pkal.dta", replace
*Einkommensdaten
use "$data/PSOEPprimev36_1.dta", clear
sort pid syear
save "$data/PSOEPprimev36_1.dta", replace



*Pl Datensatz verkleinern und auf die Jahre 2013-2019 begrenzen*
use "$data/pl.dta", clear

*Verheiratet pld0131_v1 pld0131_v2
cap gen verheiratet = 1 if pld0131_v1 == 1 | pld0131_v1 == 2 
replace verheiratet = 1 if pld0131_v2 == 8 


*Datensatz Variablen / Identifier
global datensatzvar pid hid syear pmonin 

*Soziodemografie
*   Geschlecht[1984-2019], Geschlecht[2019-2020], Staatsangehörigkeit, Deutsche Staatsangehörigkeit
global soziodem pla0009_v2 pla0009_v3 plj0014_v1 plj0014_v3 

*Haupttaetigkeit Variablen: 
*   Berufliche Stellung (2014-2019), derzeitige berufl. Stellung Angestellte (1991-2018), derzeitige berufl. Stellung Arbeiter (1984-2019), derzeitige berufl. Stellung Beamte (1984-2019), 
*   derzeitige berufl. Stellung Selbst. (1997-2013), Berufliche Stellung Azubi/Praktikant (2000-2019), Minijob, Bruttoverdienst, 
*   Anzahl der Stunden pro Woche vereibart, Anzahl der Stunden pro Woche tats., Anzahl der Stunden pro Woche tats. (nur 2019), Schüler [2016-2020], Schüler [1984-2015]
*   Üstd. leisten, Üstd. letzten Monat, Üstd. AZ-Konto, # Üstd. letzten Monat, # Üstd. letzten Monat bezahlt, # Üstd. letzten Monat abgef.
*   bei jetzigem Arbeitgeber Jahr, bei jetzigem Arbeitgeber Monat, seit Vorjahr neue Arbeit, Stelle angetreten Monat dieses Jahr, Stelle angetreten Monat Vorjahr, 
*   Stelle gewechselt wie oft Vorjahr, 1 mal Stelle gewechselt Vorjahr, Ende letzte Stelle Monat Vorjahr, Ende letzte Stelle Monat akt. Jahr, Dauer letzte Stelle Jahre, Dauer letzte Stelle Monate, seit Anfang letztem Jahr aus Beruf ausgeschieden
*   Arbeitsplatz alte/neue BL/Ausland, Tarifliche Bindung, Beitriebs/Personalrat, Zeitarbeit, befristet, 
*   Erwerbsstatus 2002-2015, Anz. Besch. 2005-15, Mithelfende Angehörige, Studium derzeit (bis 2012), Studium derzeit (nach 2012)
global haupttaetigkeit plb0568_v1 plb0064_v2 plb0058 plb0065 /// 
plb0057_v3 plb0063_v3 plb0187_h plc0013_h ///
plb0176_h plb0186_h plb0186_v3 plg0013_v3 plg0013_v1 ///
plb0193 plb0196_h plb0194_v1 plb0197 plb0198 plb0484 ///
plb0036_h plb0035 plb0031_h plb0033_v7 plb0032 ///
plb0479 plb0478 plb0298 plb0299 plb0301 plb0302 plb0282_h ///
plj0116_h plc0502_h plb0050 plb0041 plb0037_h ///
plb0022_v8 plb0049_v5 plb0392 plg0014_v6 plg0014_v7 ///
verheiratet

*Nebentätigkeit: 
*   Anzahl Nebentaetigkeiten, 
*   1./2./3. Berufliche Stellung, 
*   1./2./3. Ehrenamt, 
*   1./2./3. Minijob, 
*   1./2./3. Bruttoverdienst, 
*   1./2./3. Anzahl der Stunden pro Woche
*   Regelmäßige Nebentätigkeit (bis 2016), gelegentliche Nebentätigkeit (bis 2016), keine Nebentätigkeit (bis 2016)
global nebentaetigkeit plb0619 ///
plb0620 plb0621 plb0622 ///
plb0623 plb0624 plb0625 ///
plb0626 plb0627 plb0628 ///
plc0541 plc0543 plc0545 ///
plb0632 plb0633 plb0634 ///
plb0394 plb0395 plb0393 

*arbeitslos_etc: 
*   Arbeitslos gemeldet, Arbeitslosengeld (1995-2019), Arbeitslosengeld (M3-M5) [2017-2019], ALG II/Sozialgeld, 
*   Arbeitslosengeld Monate Vorjahr, Sozialgeld Monate Vorjahr, ABM oder gemeinnützige Arbeit, Mutterschutz/Elternzeit, Elternteilzeit
global arbeitslos_etc plb0021 plc0130_v1 plc0130_v2 plc0132_v2   ///
plc0136 plc0139 plb0038_h plb0019_v2 plb0188 

keep $datensatzvar $soziodem $haupttaetigkeit $nebentaetigkeit $arbeitslos_etc
save "$data/pl_reduziert", replace


* AZ verein in DIW Code für MLK projekt
*gen hours_contr_w = plb0176_h
* AZ tat in DIW Code für MLK projekt
*gen hours_act_w = plb0186
*label var hours_act_w "Actual weekly working hours"



*plc0130_v1 plc0130_v2 ALG bis 2016 und ab 2016

*Wohnort dranmergen
use "$data/pl_reduziert", clear

*nur Suvey Jahre ab 2008
keep if syear >= 2008 & syear <= 2019
tab syear 

*xtsetten
sort  pid syear
xtset pid syear
sort hid syear
merge hid syear using "$data/hgen.dta", keep (hgnuts1)
tab _merge
tab syear if _merge == 2
drop if _merge == 2
drop _merge
tab syear

*nur relevante Gewichtungsvariablen ranmergen
sort  pid syear
xtset pid syear
merge pid syear using "$data/ppathl.dta", keep (phrf pbleib)
tab _merge
drop if _merge == 2
drop _merge
sort hid syear
tab syear [iw = phrf]
merge hid syear using "$data/hpathl.dta", keep (hhrf hbleib)
tab _merge
drop if _merge == 2
drop _merge

*Geburtsjahr dranmergen
sort pid syear
merge pid syear using "$data/pbrutto.dta", keep (geburt_v2)
tab _merge
tab syear if _merge == 2
drop if _merge == 2
drop _merge
tab syear
sort  pid syear
generate geb_jahr =.
replace geb_jahr = geburt_v2 if (geb_jahr == . | geb_jahr == -1 | geb_jahr == -2) & geburt_v2 != . & geburt_v2 != -1 & geburt_v2 != -2
tab geb_jahr if syear == 2019

*Anzahl Kinder ranmergen
merge 1:1 pid syear using "$data/pequivshort.dta", keepus (d11107)
drop if _merge == 2
drop _merge

*Alter generieren*
gen alter = syear - geb_jahr
sum alter if syear == 2008
sum alter if syear == 2013
tab syear

*Studium 
gen student = 1 if plg0014_v6 >= 1 & plg0014_v6 <= 2
replace student = 1 if plg0014_v7 >= 1 & plg0014_v7 <= 5 
tab student if syear == 2013

*Schüler
gen schüler = 1 if inrange(plg0013_v1, 1, 6) | inrange(plg0013_v3, 1, 6)
tab schüler if syear == 2013

*Generierte Daten für Branche (labgro-Variablen werden nicht genutzt) und KLDB92
sort pid syear
merge pid syear using "$data/pgen.dta", keep (pgnace2 pgkldb92 pgkldb2010)
tab _merge
drop if _merge == 2
drop _merge
sort pid
*Verteilung 
sum pgnace if syear == 2020

*Label Zahlen dranspielen
*numlabel, add


*Ausnahmen vom Mindestlohn kodieren

*Fallzahl 
tab syear [iw = phrf]


*sortieren
sort  pid syear
xtset pid syear

*STIB
tab plb0568_v1

*Azubis
cap gen azubi = 1 if plb0063_v3 >= 1 & plb0063_v3 <= 3
*Azubi Variable
tab alter if azubi == 1 & syear == 2008 [iw = phrf]


* Ausnahmen vom Geltungsbereich des Mindestlohns markieren
gen ml_ausnahme = 0
	 label var ml_ausnahme "Ausnahmen vom Mindestlohn o. Elternzeit (kodiert 1 o. 2)"
	 
* Alter unter 18
recode ml_ausnahme (0=1) if alter < 18

*Azubis und Praktikanten: kein Anspruch auf Mindestlohn
tab syear if azubi == 1 [iw = phrf]
recode ml_ausnahme (0=1) if azubi == 1

*Elternzeit und Mutterschutz auch als Ausnahme speichern, weil vermutlich keine verlässlichen Informationen über Arbeitszeit und Brutto
gen elternzeit_mutter = 1 if plb0019_v2 == 1 | plb0019_v2 == 2
	tab elternzeit_mutter if syear == 2019 [iw = phrf]
recode ml_ausnahme (0=2) if elternzeit_mutter == 1

*Altersteilzeit nur bis 2015 im Datensatz

*Wie viele Fälle bleiben?
tab syear [iw = phrf]
tab syear ml_ausnahme [iw = phrf], row nofreq

** ### Auffällig im Jahr 2013, hier aber nicht relevant

********************************************************************************


*Arbeitnehmer markieren über STIB
*Beamte werden auch als AN markiert
tab syear if plb0568_v1 == 2
*Haupttaetigkeit Variablen: 
* Berufliche Stellung (2014-2019), derzeitige berufl. Stellung Angestellte (1991-2018), 
* derzeitige berufl. Stellung Arbeiter (1984-2019), derzeitige berufl. Stellung Beamte (1984-2019), derzeitige berufl. Stellung Selbst. (1997-2013), 
* Berufliche Stellung Azubi/Praktikant (2000-2019), Minijob, Bruttoverdienst, Anzahl der Stunden pro Woche vereibart, Anzahl der Stunden pro Woche tats., Anzahl der Stunden pro Woche tats. (nur 2019), 
global haupttaetigkeit plb0568_v1 plb0064_v2 /// 
plb0058 plb0065 plb0057_v3 /// 
plb0063_v3 plb0187_h plc0013_h plb0176_h plb0186_h plb0186_v3 ///
*vor 2014: Arbeiter, Angestellte, Beamte, keine Selbständigen
tab plb0064_v2
tab plb0058
tab plb0065
cap gen arbeitnehmer = 1 if ((plb0064_v2 >= 1 & plb0064_v2 <= 6) | (plb0058 >= 1 & plb0058 <= 5) | (plb0065 >= 1 & plb0065 <= 4)) 
*ab  2014: einheitliche Stib Variable, keine AZUBIS und Praktikanten (plb0568_v1 == 4)
tab plb0568_v1
replace arbeitnehmer = 1 if plb0568_v1 == 2 | plb0568_v1 == 3 | plb0568_v1 == 5
*Fallzahlen
tab arbeitnehmer if syear == 2008 [iw = phrf]
tab arbeitnehmer if syear == 2013 [iw = phrf]
tab arbeitnehmer if syear == 2018 [iw = phrf]


*Selbstständige markieren
*2008-2013:
tab syear if plb0057_v3 > 0
cap gen selbst = 1 if plb0057_v3 > 0
tab selbst
*ab 2014:
tab plb0568_v1
replace selbst = 1 if plb0568_v1 == 1
tab syear if selbst == 1 [iw = phrf]





*Minijobs markieren: über Minijob Variable in SOEP und zusätzlich Arbeitnehmer mit geringen Brutto bis 450 Euro

*HIER WERDEN DIE MINIJOBBER MIT VERDIENST > 450 drin gelassen (wahrscheinlich schwarze Aufstockungszahlung durch AG)
gen     minijob = 0 
tab plb0187_h
tab syear if plb0187_h == 1
replace minijob = 1 if plb0187_h == 1   
replace minijob = 1 if plc0013_h > 0 & plc0013_h <= 400 & plb0568_v1 != 4 & syear == 2008
replace minijob = 1 if plc0013_h > 0 & plc0013_h <= 450 & plb0568_v1 != 4 & syear == 2013
replace minijob = . if arbeitnehmer != 1

**** #### Werden hier Azubis mit ganz geringen Ausbildungsvergütungen zu Mini-Jobbern erklärt?
tab  azubi minijob , row

*Anzahl der Minijobs
tab minijob if syear == 2008 [iweight = phrf]
tab minijob if syear == 2013 [iweight = phrf]
tab minijob if syear == 2018 [iweight = phrf]


*Langzeitarbeitslose: es werden ziemlich viele Fälle gelöscht, die Ausnahme wird aber kaum genutzt. (IAB Veröffentlichung dazu)
*preserve
*do "$prog/Langzeit AL.do"
*restore
*merge 1:1 syear pid using "$data/long-term-unemployed-in-new-jobs.dta", keep(match master) nogen
*gen exep_lzalo =(newjob_u6m_alo==1)
*label var exep_lzalo "Exemption: Long-term unemployed"
*drop if exep_lzalo == 1
*drop exep_lzalo


********************************************************************************
*AZ-Variable bilden
*Wert -2 entspricht trifft nicht zu (k. festgelegte AZ)


*Vereinbarte Arbeitszeit 
gen AZverein = plb0176_h if plb0176_h > 0 
sum AZverein if syear == 2019
tab syear if AZverein != . [iw = phrf]
tab syear if AZverein == . [iw = phrf]

** #### Vorsicht vor der missing-Falle bei AZverein!
tab syear if AZverein != . 
tab syear if AZverein == . 

*Ein relevanter Anteil der Arbeitnehmer gibt an, keine vertragliche AZ zu haben
tab plb0176_h if plb0176_h < 0 & arbeitnehmer == 1 & syear == 2019 [iw = phrf]

*Weitere Minijobs über Bruttolohn
tab syear if plc0013_h != . & plc0013_h >= 0
replace minijob = 1 if plc0013_h > 0 & plc0013_h <= 400 & arbeitnehmer == 1 & syear == 2008
replace minijob = 1 if plc0013_h > 0 & plc0013_h <= 450 & arbeitnehmer == 1
tab minijob if syear == 2008 [iw = phrf]
tab minijob if syear == 2013 [iw = phrf]
tab minijob if syear == 2018 [iw = phrf]

*Einkommensvariablen und OECD-Gewicht dranmergen: ACHTUNG; IN DOROTHEES FILE PREISBEREINIGUNG AUF CPI 2016 
merge pid syear using "$data/PSOEPprimev36_1.dta", keep (hincgrossY hincnetY hinclaborY oecd1)
tab _merge
drop if _merge == 2
drop _merge

*Jahre
tab syear


*Längsgewichte wegen retrospektivem HH-Einkommen
sort pid syear
xtset pid syear
gen hhrf_laengs_1jahr = l.hhrf * hbleib 
gen phrf_laengs_1jahr = l.phrf * pbleib 

save "$data/merge_08_18.dta", replace







cap log close

