capture log close


*Neben-Minijobs von Selbstständigen; ab 2014
use "$data/merge_08_18_2.dta", clear
set more off


*Wie viele AN im Jahr 2008?
tab arbeitnehmer if syear == 2008 [iw = phrf]
*32961992.4
tab arbeitnehmer if syear == 2013 [iw = phrf]
*32829342.9
tab arbeitnehmer if syear == 2018 [iw = phrf]
*36410745.2



*zum Vergleich: AN-Zahlen in den Jahren nach ADMIN Statistik

*2008 
*(ANBA Bericht im Verzeichnis)
*27,5 Mio. SVB
*4,9  Mio. ausschließliche Minijobs
*zusammen:
*32,4 Mio., da fehlen aber die Beamten, ca. 2,2 Mio. laut SOEP
tab arbeitnehmer if emplstatus4 >= 610 & emplstatus4 <= 640 & syear == 2008 [iw = phrf]

*2013
*(ANBA September 2013)
*29,3 Mio. SVB
*4,8  Mio. ausschließliche Minijobs
*zusammen:
*34,1 Mio., da fehlen aber die Beamten, ca. 2,3 Mio. laut SOEP
tab arbeitnehmer if emplstatus4 >= 610 & emplstatus4 <= 640 & syear == 2013 [iw = phrf]

*2018
*von Webseite https://statistik.arbeitsagentur.de/DE/Navigation/Statistiken/Interaktive-Statistiken/Datenbanken/Datenbanken-BST-Nav.html
*32,9 Mio. SVB
*5,0  Mio. ausschließliche Minijobs
*zusammen:
*36,1 Mio. 





*Einkommensvariablen und OECD-Gewicht dranmergen: ACHTUNG; IN DOROTHEES FILE PREISBEREINIGUNG AUF CPI 2016 
merge pid syear using "$data/PSOEPprimev36_1.dta", keep (hincgrossY hincnetY oecd1)
tab _merge
drop if _merge == 2
drop _merge
*Bruttoeinkommen, nominal
* ohne Beamtenkorrektur
*	gen hincgrossY = hinclaborY + hincassetY + hincimprentY + hincprivtransfersY + hincpubtransfersY ///*
*					+ hincsocialsecY + hincprivretirementY
*	label variable hincgrossY "jährliches HH-Bruttoeinkommen"

*Nettoeinkommen, nominal
*	gen hincnetY = hinclaborY + hincassetY + hincimprentY + hincprivtransfersY + hincpubtransfersY ///
*					+ hincsocialsecY + hincprivretirementY - hfedtaxesY ///
*					- hsocialsectaxesY 
*					// Entspricht: HH-Arbeitseinkommen + HH-Vermögenseinkommen + imputed Rent + HH-Private Transfers + HH-staatl. Transferleistungen + HH-Renteneineikommen+ HH-priv. Rente - HH-Seuern - HH-Sozailversicherungsabgabem



*Durchschnittlicher Verdienst bei den Minijobs
sum plc0013_h if minijob == 1 & plc0013_h > 0 & syear == 2008 [iw = phrf]
sum plc0013_h if minijob == 1 & plc0013_h > 0 & syear == 2013 [iw = phrf]
sum plc0013_h if minijob == 1 & plc0013_h > 0 & syear == 2018 [iw = phrf]


*Durchschnittliches Äquivalenzgewichtetes Haushaltseinkommen
sum incequivMN if minijob == 1 & syear == 2008 [iw = phrf]
sum incequivMN if minijob == 1 & syear == 2013 [iw = phrf]
*Zum Vergleich alle AN
sum incequivMN if arbeitnehmer == 1 & syear == 2008 [aw = phrf], detail
sum incequivMN if arbeitnehmer == 1 & syear == 2013 [aw = phrf], detail
sum incequivMN if arbeitnehmer == 1 & syear == 2018 [aw = phrf], detail
*Anzahl der Minijobs unter den AN mit Äqiv.EK unter Median
sum incequivMN if arbeitnehmer == 1 & syear == 2008 [aw = phrf], detail
tab minijob if syear == 2008 & arbeitnehmer == 1 & incequivMN < r(p50) [iw = phrf]
tab minijob if syear == 2008 & arbeitnehmer == 1 [iw = phrf]
*Anzahl der Minijobs unter den AN mit Äqiv.EK unter Median
sum incequivMN if arbeitnehmer == 1 & syear == 2013 [aw = phrf], detail
tab minijob if syear == 2013 & arbeitnehmer == 1 & incequivMN < r(p50) [iw = phrf]
tab minijob if syear == 2013 & arbeitnehmer == 1  [iw = phrf]

*Ostdeutschland 
tab hgnuts1 if syear == 2008 [iw = phrf]
tab hgnuts1 if syear == 2013 [iw = phrf]
cap gen ostdeutschland = 1 if hgnuts1 == 4 | hgnuts1 == 8 | hgnuts1 == 13 | hgnuts1 == 14 | hgnuts1 == 16
replace ostdeutschland = 0 if ostdeutschland != 1
tab ostdeutschland  if syear == 2008 [iw = phrf]
tab ostdeutschland  if syear == 2013 [iw = phrf]

*Altersgruppen
cap gen alter_19_24 = 1 if alter >= 19 & alter <= 24
cap gen alter_25_54 = 1 if alter >= 25 & alter <= 54
cap gen alter_55_65 = 1 if alter >= 55 & alter <= 65
tab alter_19_24 [iw = phrf]
tab alter_25_54 [iw = phrf]
tab alter_55_65 [iw = phrf]

*Geschlecht
tab pla0009_v2 if minijob == 1 & syear == 2008 [iw = phrf]
tab pla0009_v2 if minijob == 1 & syear == 2013 [iw = phrf]



*Wie ist das bei den Minijobs in der Zielgruppe mit dem Einkommen?
cap gen minijob_zielgruppe = 1 if minijob == 1 & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1)
tab minijob_zielgruppe


*Durchschnittliches Äquivalenzgewichtetes Haushaltseinkommen
sum incequivMN if minijob_zielgruppe == 1 & syear == 2008 [iw = phrf]
sum incequivMN if minijob_zielgruppe == 1 & syear == 2013 [iw = phrf]
*Zum Vergleich alle AN
sum incequivMN if arbeitnehmer == 1 & syear == 2008 [aw = phrf], detail
sum incequivMN if arbeitnehmer == 1 & syear == 2013 [aw = phrf], detail
*Anzahl der minijob_zielgruppes unter den AN mit Äqiv.EK unter Median
sum incequivMN if arbeitnehmer == 1 & syear == 2008 [aw = phrf], detail
tab minijob_zielgruppe if syear == 2008 & arbeitnehmer == 1 & incequivMN < r(p25) [iw = phrf]
tab minijob_zielgruppe if syear == 2008 & arbeitnehmer == 1 [iw = phrf]
*Anzahl der minijob_zielgruppes unter den AN mit Äqiv.EK unter Median
sum incequivMN if arbeitnehmer == 1 & syear == 2013 [aw = phrf], detail
tab minijob_zielgruppe if syear == 2013 & arbeitnehmer == 1 & incequivMN < r(p25) [iw = phrf]
tab minijob_zielgruppe if syear == 2013 & arbeitnehmer == 1  [iw = phrf]


*Anzahl der Minijobs mit allen Variablen: ACHTUNG: 2013 FEHLEN EIN PAAR DATEN ZUM GESCHLECHT
*2008
tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2008 [iw = phrf]
*3238056 ohne Geschlechts-Bedingung
*2013
tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf]
*2870852 mit Geschlechts-Bedingung
*3237522 ohne Geschlechts-Bedingung

*Gewicht um fehlende Geschlechtsangaben in 2013 korrigieren
*2013
tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf]
*2870852
cap gen phrf_neu = phrf
replace phrf_neu = phrf_neu * 3237522 / 2870852 if syear == 2013
tab minijob if (pla0009_v2 == 1 | pla0009_v2 == 2 ) & (ostdeutschland == 0 | ostdeutschland == 1) & (alter_19_24 == 1 | alter_25_54 == 1 | alter_55_65 == 1) & syear == 2013 [iw = phrf_neu]
*3237522

*Minijob-Variable wie in EVS
cap gen minijob_2008 = minijob if syear == 2008


*Männer
*Männer; 2008
*Männer; 2008; West
*Männer; 2008; West; jung
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global soep_101 = 178009.24
*Männer; 2008; West; mittel
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global soep_102 = 269335.52
*Männer; 2008; West; alt
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global soep_103 = 151322.31
*Männer; 2008; Ost
*Männer; 2008; Ost; jung
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global soep_111 = 13259.64
*Männer; 2008; Ost; mittel
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global soep_112 = 64462.21
*Männer; 2008; Ost; alt
tab minijob_2008 if pla0009_v2 == 1 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global soep_113 = 14874.64 
*Männer; 2013
*Männer; 2013; West
*Männer; 2013; West; jung
tab minijob if pla0009_v2 == 1 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2013 [iw = phrf]
*187813.54 
*Männer; 2013; West; mittel
tab minijob if pla0009_v2 == 1 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2013 [iw = phrf]
* 327113.5  
*Männer; 2013; West; alt
tab minijob if pla0009_v2 == 1 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2013 [iw = phrf]
*147320.79
*Männer; 2013; Ost
*Männer; 2013; Ost; jung
tab minijob if pla0009_v2 == 1 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2013 [iw = phrf]
*35597.87
*Männer; 2013; Ost; mittel
tab minijob if pla0009_v2 == 1 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2013 [iw = phrf]
*64608.12
*Männer; 2013; Ost; alt
tab minijob if pla0009_v2 == 1 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2013 [iw = phrf]
*21608.44

*Frauen
*Frauen; 2008
*Frauen; 2008; West
*Frauen; 2008; West; jung
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global soep_201 = 228394.12
*Frauen; 2008; West; mittel
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global soep_202 = 1667649
*Frauen; 2008; West; alt
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global soep_203 = 398756.29
*Frauen; 2008; Ost
*Frauen; 2008; Ost; jung
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2008 [iw = phrf]
global soep_211 = 21493.08
*Frauen; 2008; Ost; mittel
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2008 [iw = phrf]
global soep_212 = 170626.97
*Frauen; 2008; Ost; alt
tab minijob_2008 if pla0009_v2 == 2 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2008 [iw = phrf]
global soep_213 = 59873.06
*Frauen; 2013
*Frauen; 2013; Ost
*Frauen; 2013; Ost; jung
tab minijob if pla0009_v2 == 2 & ostdeutschland == 1 & alter_19_24 == 1 & syear == 2013 [iw = phrf]
*23566.3
*Frauen; 2013; Ost; mittel
tab minijob if pla0009_v2 == 2 & ostdeutschland == 1 & alter_25_54 == 1 & syear == 2013 [iw = phrf]
*99601.09
*Frauen; 2013; Ost; alt
tab minijob if pla0009_v2 == 2 & ostdeutschland == 1 & alter_55_65 == 1 & syear == 2013 [iw = phrf]
*86193.92
*Frauen; 2013; West
*Frauen; 2013; West; jung
tab minijob if pla0009_v2 == 2 & ostdeutschland == 0 & alter_19_24 == 1 & syear == 2013 [iw = phrf]
*221657.84
*Frauen; 2013; West; mittel
tab minijob if pla0009_v2 == 2 & ostdeutschland == 0 & alter_25_54 == 1 & syear == 2013 [iw = phrf]
*1230382
*Frauen; 2013; West; alt
tab minijob if pla0009_v2 == 2 & ostdeutschland == 0 & alter_55_65 == 1 & syear == 2013 [iw = phrf]
*425388.98






